#-*- coding: utf-8 -*-
import json

from django.shortcuts import render
from django.http import HttpResponse, Http404
from django.core import serializers

from boutique.models import Category
from boutique.models import Article

def home(request):
    return render(request, "index.html")

"""
Envoi les catégories de premier niveau.
"""
def top(request):
    items = Category.objects.filter(parent_category = None)
    data = serializers.serialize("json", items)
    return HttpResponse(data)

"""
La requète _POST_ doit contenir un champ _name_ contenenant le nom de la
catégorie choisie.
"""
def sub(request):
    param = None
    if request.method == 'POST':
        param = request.POST
    else:
        param = request.GET
    category = Category.objects.filter(name = param['name'].lower())[0]
    bdd = None
    if(category.has_sub_category):
        bdd = Category
    else:
        bdd = Article
    items = bdd.objects.filter(parent_category = category)
    data = serializers.serialize("json", items)
    return HttpResponse(data)
#    raise Http404


