#-*- coding: utf-8 -*-

from django.shortcuts import render,render_to_response
from website.models import *
import random

def getRandomURLS():
	a=list(Image.objects.all())
	r1 = random.randint(0,len(a)-1)
	r2 = random.randint(0,len(a)-1)
	while (r1==r2) :
		r2 = random.randint(0,len(a)-1)
	r3 = random.randint(0,len(a)-1)
	while	(r1==r3 | r2==r3):	
		r3 = random.randint(0,len(a)-1)
	res=list()
	res.append(a[r1].url)
	res.append(a[r2].url)
	res.append(a[r3].url)
	return res

def getArticles(t):
	res=list()
	for item in Article.objects.all():
		for tag in item.tags.all():
			print(tag.tag)
			if(tag.tag==t):
				res.append(item)
	return res
	
def getArticlesBis(t1,t2):
	res=list()
	for item in Article.objects.all():
		i=0
		for tag in item.tags.all():
			print(tag.tag)
			if(tag.tag==t1):
				i+=1
			if(tag.tag==t2):
				i+=1
		if(i==2):
			res.append(item)
	return res

def home(request):
	urls = getRandomURLS()
	return render(request, 'accueil.html',{'urls':urls,})
	
def home2(request):
	urls = getRandomURLS()
	return render(request, 'accueil2.html',{'urls':urls,})
	
def home3(request):
	a=list(Article.objects.all())
	r1 = random.randint(0,len(a)-1)
	urls = a[r1].link
	return render(request, 'accueil3.html',{'urls':urls,})

def generate(request):
	livres = Htags(tag="Livres")
	livres.save()
	bd = Htags(tag="BD")
	bd.save()
	manga = Htags(tag="Manga")
	manga.save()
	roman = Htags(tag="Roman")
	roman.save()
	theatre = Htags(tag="Theatre")
	theatre.save()
	sf = Htags(tag="SF")
	sf.save()
	fantasy = Htags(tag="Fantasy")
	fantasy.save()
	cuisine = Htags(tag="Cuisine")
	cuisine.save()
	sciences = Htags(tag="Sciences")
	sciences.save()
	scolaire = Htags(tag="Scolaire")
	scolaire.save()
	tourisme = Htags(tag="Tourisme")
	tourisme.save()
	classique = Htags(tag="Classique")
	classique.save()
	info = Htags(tag="Informatique")
	info.save()
	
	a=Article(nom="Pains d'épices", link="http://www.amazon.fr/Pains-d%C3%A9pices-Alice-Hart/dp/2501091078/ref=zg_bsnr_302050_7", img="http://ecx.images-amazon.com/images/I/51ESfOva78L._SX342_.jpg",prix=7.59)
	a.save()
	a.tags.add(cuisine)
	a.tags.add(livres)
	
	a=Article(nom="Macarons bluffants", link="http://www.amazon.fr/Macarons-bluffants-Sylvie-A%C3%AFt-Ali/dp/2822602956/ref=zg_bsnr_302050_13", img="http://ecx.images-amazon.com/images/I/51ESfOva78L._SX342_.jpg",prix=4.66)
	a.save()
	a.tags.add(cuisine)
	a.tags.add(livres)
	
	a=Article(nom="Naruto, Tome 61", link="http://www.amazon.fr/Naruto-61-Masashi-Kishimoto/dp/2505019592/ref=sr_1_6", img="http://ecx.images-amazon.com/images/I/A1pIV9UQ7jL._SL1500_.jpg",prix=6.51)
	a.save()
	a.tags.add(livres)
	a.tags.add(manga)
	a.tags.add(bd)
	
	a=Article(nom="Beelzebub, Tome 17", link="http://www.amazon.fr/Beelzebub-Tome-17-Ryuhei-Tamura/dp/2820315534/ref=pd_sim_b_6",img="http://ecx.images-amazon.com/images/I/517wmGKtAVL.jpg",prix=6.45)
	a.save()
	a.tags.add(livres)
	a.tags.add(manga)
	a.tags.add(bd)
	
	a=Article(nom="Astérix chez les Pictes", link="http://www.amazon.fr/Astérix-chez-Pictes-René-Goscinny/dp/2864972662/ref=sr_1_1", img="http://ecx.images-amazon.com/images/I/51MrKJPb9gL.jpg",prix=9.41)
	a.save()
	a.tags.add(livres)
	a.tags.add(bd)
	
	a=Article(nom="Tintin en Amérique", link="http://www.amazon.fr/Tintin-en-Amérique-Hergé/dp/220300102X/ref=sr_1_3", img="http://ecx.images-amazon.com/images/I/51vm5HSpE8L.jpg",prix=9.93)
	a.save()
	a.tags.add(livres)
	a.tags.add(bd)
	
	a=Article(nom="Harry Potter à l'école des sorciers", link="http://www.amazon.fr/Harry-Potter-I%C2%A0-%C2%A0Harry-sorciers/dp/2070643026/ref=sr_1_1",  img="http://ecx.images-amazon.com/images/I/51wkPLxqpTL._SY445_.jpg",prix=8)
	a.save()
	a.tags.add(livres)
	a.tags.add(roman)
	a.tags.add(fantasy)
	
	a=Article(nom="Harry Potter et la chambre des secrets", link="http://www.amazon.fr/Harry-Potter-II%C2%A0-Chambre-Secrets/dp/2070643034/ref=sr_1_3", img="http://ecx.images-amazon.com/images/I/51uydUvw9GL.jpg",prix=8.2)
	a.save()
	a.tags.add(livres)
	a.tags.add(roman)
	a.tags.add(fantasy)
	
	a=Article(nom="Harry Potter et le prisonnier d'Azkaban", link="http://www.amazon.fr/Harry-Potter-III -prisonnier-dAzkaban/dp/2070a643042/ref=sr_1_5", img="http://ecx.images-amazon.com/images/I/51ETpUEbRCL.jpg",prix=8.08)
	a.save()
	a.tags.add(livres)
	a.tags.add(roman)
	a.tags.add(fantasy)
	
	a=Article(nom="La planète des singes", link="http://www.amazon.fr/La-Plan%C3%A8te-singes-Pierre-Boulle/dp/226613860X", img="http://ecx.images-amazon.com/images/I/51ETpUEbRCL.jpg",prix=4.94)
	a.save()
	a.tags.add(livres)
	a.tags.add(roman)
	a.tags.add(sf)
	
	Image(url="http://www.site.uottawa.ca/~gvj/Courses/CSI4539/img/andersoncover.jpg", htags=info).save()
	Image(url="http://www.images-booknode.com/book_cover/334/full/la-vendetta-334407.jpg", htags=classique).save()
	Image(url="http://www.renaud-bray.com/ImagesEditeurs/PG/64/64765-gf.jpg", htags=theatre).save()
	Image(url="http://www.zepresse.fr/images/revues/L8956.jpg", htags=tourisme).save()
	Image(url="http://www.accordcapitale.com/images/Couverture%20de%20l%27Officiel%20de%20l%27Education.JPG", htags=scolaire).save()   
	Image(url="http://i85.servimg.com/u/f85/13/95/50/73/scienc10.jpg", htags=sciences).save()   
	Image(url="http://www.cuisineattitude.com/leblog/wp-content/uploads/2012/09/Couverture-CL-Chardenoux-des-Pr%C3%A9s.jpg", htags=cuisine).save()   
	Image(url="http://martouf.ch/utile/images/divers/2009_12_27_13_20_couverture_bd_obelix_et_compagnie.jpg", htags=bd).save()   
	Image(url="http://sangoku13.info/mangas/mangas41.jpg", htags=manga).save()   
	Image(url="http://3.bp.blogspot.com/-rWD3fUtOg54/Tx6mt8wn28I/AAAAAAAAAKo/bPwo6Oeax4k/s1600/planete+des+singes.jpg", htags=sf).save()   
	Image(url="http://www.images-booknode.com/book_cover/83/full/les-miserables-83116.jpg", htags=roman).save()
	
	return render(request, 'accueil.html')

def fonctionnement(request):
	return render(request, 'fonctionnement.html')
